# PSync Class Reference

`#include <psync.h>`

Inheritance diagram for PSync:

List of all members.

## Public Member Functions

Operations
virtual void | Wait ()=0
| Block until the synchronisation object is available.
virtual void | Signal ()=0
| Signal that the synchronisation object is available.

## Member Function Documentation

virtual void PSync::Signal | ( |  | ) | `[pure virtual]`

Signal that the synchronisation object is available.

Implemented in PSyncNULL, PSemaphore, and PSyncPointAck.

virtual void PSync::Wait | ( |  | ) | `[pure virtual]`

Block until the synchronisation object is available.

Implemented in PSyncNULL, and PSemaphore.

The documentation for this class was generated from the following file:

- psync.h